{
  lib ? pkgs.lib,
  pkgs,
  prefix ? "trivium",
  namespace ? null,
}: let
  doctrine =
    {
      lib = import ./lib {inherit lib pkgs doctrine;};
      inherit namespace prefix;
    }
    // lib.optionalAttrs (pkgs != null) {
      inherit pkgs;
    };
in
  doctrine
